/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of SCode-Eslint-Config which is released under BSD-3-Clause.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, March 2020
 */

module.exports = {

  globals: {},

  parser: '@typescript-eslint/parser',

  extends: [
    '@scode/eslint-config-es6',
    'plugin:@typescript-eslint/eslint-recommended',
    'plugin:@typescript-eslint/recommended'
  ],

  plugins: [
    '@typescript-eslint'
  ],

  parserOptions: {
    sourceType: 'module',
    parser: 'babel-eslint'
  },

  rules: {}
}
